# Source: fission-all/templates/webhook-server/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: webhook
  labels:
    chart: "fission-all-v1.20.1"
    svc: webhook-service
    application: fission-webhook
spec:
  replicas: 1
  selector:
    matchLabels:
      svc: webhook-service
      application: fission-webhook
  template:
    metadata:
      labels:
        svc: webhook-service
        application: fission-webhook
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/path: "/metrics"
        prometheus.io/port: "8080"
    spec:
      securityContext:
        fsGroup: 10001
        runAsGroup: 10001
        runAsNonRoot: true
        runAsUser: 10001
      containers:
      - name: webhook
        image: "ghcr.io/fission/fission-bundle:v1.20.1"
        imagePullPolicy: IfNotPresent
        command: ["/fission-bundle"]
        args: ["--webhookPort", "9443"]
        volumeMounts:
        - mountPath: /tmp/k8s-webhook-server/serving-certs
          name: serving-certs
          readOnly: true
        ports:
          - containerPort: 8080
            name: metrics
      volumes:
      - name: serving-certs
        secret:
          secretName: fission-webhook-certs
      serviceAccountName: fission-webhook